<app-loading *ngIf="isLoadingPage"></app-loading>
<div nz-row [nzGutter]="[30, 10]" class="content">
  <div nz-col nzSm="24" nzXs="24" nzLg="12" nzMd="12">

    <mb-button mbButtonSize="MEDIUM" mbButtonText="Tải dữ liệu lên" mbButtonTextColor="#141ED2"
               (click)="showModalUploadFile(footerTmplUploadFile)" *ngIf="objFunction?.import">
    </mb-button>
  </div>
  <div nz-col nzSm="24" nzXs="24" nzLg="12" nzMd="12">
    <mb-button (click)="showModalTargetCategory(footerTmpl,'ADD')" mbButtonAvailableStyle="PRIMARY"
      mbButtonText="Thêm mới" *ngIf="objFunction?.create"></mb-button>
  </div>
</div>

<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="modalRef.getContentComponent().save()"
      mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'targerManager.button.btnSaveFile' | translate}}"></mb-button>
    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"
      mbButtonText="{{'targerManager.button.btnCancel' | translate}}" (click)="modalRef?.destroy()"
      *ngIf="objFunction?.view" class="flex-footer__uploadfile--button-left"></mb-button>
  </section>
</ng-template>

<nz-card class="main-target-category-card">
  <div nz-row [nzGutter]="[30, 10]" style="align-items: flex-end;">
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <mb-input-text (mbChange)="changeTargetCode($event)" mbPlaceholderText="Nhập để tìm kiếm" mbType="default"
        mbLabelText="Mã chỉ tiêu " *ngIf="objFunction?.view"
        ngModel=""
        (mbKeyup)="searchTargetCategory($event)">
      </mb-input-text>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6" style="padding-left: 24px;">
      <mb-input-text mbPlaceholderText="Nhập để tìm kiếm" mbType="default" mbLabelText="Tên chỉ tiêu"
        (mbChange)="changeTargetName($event)" *ngIf="objFunction?.view"
        ngModel=""
        (mbKeyup)="searchTargetCategory($event)">
      </mb-input-text>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6" style="padding-left: 24px;">
      <mb-select [mbDataSelects]="listBallanceScoreCardManagement" mbKeyLabel="lvaMean" mbKeyValue="lvaValue"
        ngModel=""
        (mbEventEmit)="selectBalanceGoal($event)" mbType="default" mbLabelText="Thẻ điểm cân bằng"
        *ngIf="objFunction?.view">
      </mb-select>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6" class="custom-col">
      <mb-button mbButtonAvailableStyle="CUSTOM" mbButtonText="Tìm kiếm" (click)="searchTargetCategory($event)"
        *ngIf="objFunction?.view"></mb-button>
    </div>
  </div>
</nz-card>

<nz-table class="data-table ant-table-content" [nzPageSize]="listSettingPaginationCustom.total" nzSize='small'
  #basicTable [nzData]="listTargetCategory" [nzScroll]="listTargetCategory?.length > 2 ? { x: '500px' } : {}"
  [nzShowPagination]="false" nzTableLayout="fixed">
  <thead>
    <tr>
      <th scope="col" nzWidth='4.5em' id='index' nzLeft>STT</th>
      <th id='code' scope="col">Mã chỉ tiêu</th>
      <th id='name' scope="col">Tên chi tiêu</th>
      <th id='nameCard' scope="col">Thẻ điểm</th>
      <th id='maxnum' scope="col">Điểm trần</th>
      <th id='targetParent' scope="col">Chỉ tiêu cha</th>
      <th id='sub' scope="col">Kiểu sub</th>
      <th id='caculator' scope="col">Cách tính</th>
      <th id='type' scope="col">Loại</th>
      <th id='share' scope="col">Share</th>
      <th id='status' scope="col" nzWidth='8.5em'>Trạng thái</th>
      <th id='action' scope="col" nzWidth='9em' *ngIf='objFunction?.delete' nzRight class="text-nowrap" nzAlign='center'></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of basicTable.data; let i = index;trackBy: trackFntable"
      (dblclick)=" objFunction?.edit && showModalTargetCategory(footerTmpl, 'EDIT', data)">
      <td nzLeft>{{ i + 1 + objectSearch.size * objectSearch.page }}</td>
      <td>{{data.tarCode}}</td>
      <td>{{data.tarName}}</td>
      <td>{{data.scoreCard}}</td>
      <td>{{data?.maxNum}}</td>
      <td>{{data.nameTargetParent}}</td>
      <td>{{data.typeRule}}</td>
      <td>{{data.scoringRule}}</td>
      <td>{{data.targetType}}</td>
      <td>{{renderShare(data.targetShare)}}</td>
      <td>
        <nz-tag [nzColor]="'red'" *ngIf="data.flagStatus === 0">Không hoạt động</nz-tag>
        <nz-tag [nzColor]="'blue'" *ngIf="data.flagStatus === 1">Hoạt động</nz-tag>
      </td>
      <td nzRight *ngIf='objFunction?.delete' nzAlign='center'>
        <mb-button-icon mbButtonType='DELETE' (click)="showConfirm($event,data)"></mb-button-icon>
      </td>
    </tr>

  </tbody>
</nz-table>
<nz-pagination [nzPageIndex]="objectSearch.page + 1" [nzTotal]="listSettingPaginationCustom.total"
  [nzPageSize]="objectSearch.size" (nzPageIndexChange)="changePage($event)"></nz-pagination>

<ng-template #footerTmpl>
  <mb-button mbButtonAvailableStyle="PRIMARY" mbButtonText="Lưu"
  (click)="modalRef.getContentComponent().saveTargetCategory()"></mb-button>
  <mb-button mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="Hủy bỏ" (click)="modalRef.destroy()">
  </mb-button>
</ng-template>
